Bug 111270 - [patch] wmnd does not work on amd64
Summary: [patch] wmnd does not work on amd64
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-04-05 14:20 UTC by Benjamin Close
Modified: 2007-04-17 20:10 UTC (History)
0 users

See Also:


Attachments
file.diff (1.16 KB, patch)
2007-04-05 14:20 UTC, Benjamin Close
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Benjamin Close freebsd_committer 2007-04-05 14:20:05 UTC
	The wmnd port uses an int when querying the network devices via sysctl(3).
	Under amd64, this causes a failure of sysctl due to the size of the int and hence
	no network devices are detected.  The fix is simply to use the correct data type: size_t;

Fix: The below patch fixes the problem and provides everything required to update the port

How-To-Repeat: 	Run the port on amd64
Comment 1 Edwin Groothuis freebsd_committer 2007-04-05 23:31:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->benjsc

Submitter has GNATS access
Comment 2 Benjamin Close freebsd_committer 2007-04-13 03:34:46 UTC
Responsible Changed
From-To: benjsc->freebsd-ports-bugs

benjsc does not have ports commit bit. 

benjsc is willing to become the maintainer for this port.
Comment 3 Martin Wilke freebsd_committer 2007-04-17 20:02:07 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 4 dfilter service freebsd_committer 2007-04-17 20:02:11 UTC
miwi        2007-04-17 19:02:00 UTC

  FreeBSD ports repository

  Modified files:
    net/wmnd             Makefile 
  Added files:
    net/wmnd/files       patch-src-drivers.c 
  Log:
  - Fix date type size_t
  
  PR:             111270
  Submitted by:   Benjamin Close <benjsc@>
  
  Revision  Changes    Path
  1.18      +1 -0      ports/net/wmnd/Makefile
  1.1       +21 -0     ports/net/wmnd/files/patch-src-drivers.c (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"